<?php
/**
 * The template for displaying the header.
 *
 * @package Integer
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<a class="skip-link btn btn-default screen-reader-text" href="#main">
		<?php esc_html_e( 'Skip to content', 'integer' ); ?>
	</a>

	<header id="masthead" class="site-header initial-reveal" role="banner">

		<?php integer_site_logo(); ?>

		<div class="site-branding">
			<?php
				integer_site_title();
				integer_site_description();
			?>
		</div><!-- .site-branding -->

		<?php if ( has_nav_menu( 'primary' ) ) : ?>

			<button id="site-navigation-toggle" class="menu-toggle" >
				<i class="fa fa-bars menu-toggle-icon" aria-hidden="true"></i>
				<span class="menu-toggle-text">
					<?php esc_html_e( 'Menu', 'integer' ); ?>
				</span>
			</button><!-- #site-navigation-toggle -->

			<nav id="site-navigation" class="main-navigation" role="navigation">
				<?php
					wp_nav_menu(
						array(
							'theme_location' => 'primary',
							'menu_id' => 'primary-menu',
							'container' => false,
						)
					);
				?>
			</nav><!-- #site-navigation -->

		<?php elseif( current_user_can( 'edit_theme_options' ) ) : ?>

			<p class="no-main-navigation">
				<span><?php esc_html_e( 'No menu assigned.', 'integer' ); ?> </span>
				<a href="<?php echo esc_url( get_admin_url( null, '/customize.php?autofocus[panel]=nav_menus' ) ); ?>"><?php esc_html_e( 'Add now.', 'integer' ); ?></a>
			</p>

		<?php endif; ?>

	</header><!-- #masthead -->
